IcedTea-Web NetX

## net.sourceforge.jnlp
Class GuiLaunchHandler

    java.lang.Object
      net.sourceforge.jnlp.AbstractLaunchHandler
          net.sourceforge.jnlp.GuiLaunchHandler

All Implemented Interfaces:
  LaunchHandler

    public class GuiLaunchHandler

extends AbstractLaunchHandler

A `LaunchHandler` that gives feedback to the user using GUI elements including splash screens and exception dialogs.

Field Summary

Fields inherited from class net.sourceforge.jnlp.AbstractLaunchHandler
`outputStream`

Constructor Summary
`GuiLaunchHandler(java.io.PrintStream outputStream)`

Method Summary
`void` `launchCompleted(ApplicationInstance application)` Called when an application, applet, or installer has been launched successfully (the main method or applet start method returned normally).
`void` `launchError(LaunchException exception)` Called when the application could not be launched due to a fatal error, such as the inability to find the main class or non-parseable XML.
`void` `launchInitialized(JNLPFile file)` Called when an application, applet or installer has been determined.
`void` `launchStarting(ApplicationInstance application)` Called when an application, applet or installer is ready to start.
`boolean` `launchWarning(LaunchException warning)` Called when launching the application can not be launched due to an error that is not fatal.
`boolean` `validationError(LaunchException error)` Called when a security validation error occurs while launching the application.

Methods inherited from class net.sourceforge.jnlp.AbstractLaunchHandler
`printMessage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GuiLaunchHandler

    public GuiLaunchHandler(java.io.PrintStream outputStream)

Method Detail

### launchCompleted

    public void launchCompleted(ApplicationInstance application)

  Description copied from interface: `LaunchHandler`
  Called when an application, applet, or installer has been launched successfully (the main method or applet start method returned normally).

  Parameters:
    `application` - the launched application instance

### launchError

    public void launchError(LaunchException exception)

  Description copied from interface: `LaunchHandler`
  Called when the application could not be launched due to a fatal error, such as the inability to find the main class or non-parseable XML.

### launchStarting

    public void launchStarting(ApplicationInstance application)

  Description copied from interface: `LaunchHandler`
  Called when an application, applet or installer is ready to start. Good point to hide the splash screen.

  Parameters:
    `application` - the application instance that is ready

### launchInitialized

    public void launchInitialized(JNLPFile file)

  Description copied from interface: `LaunchHandler`
  Called when an application, applet or installer has been determined. We have some very basic information about the application at this point, but do not have everything required. This is a nice point to show the splash screen.

  Parameters:
    `file` - the JNLP file of the instance that is starting

### launchWarning

    public boolean launchWarning(LaunchException warning)

  Description copied from interface: `LaunchHandler`
  Called when launching the application can not be launched due to an error that is not fatal. For example a JNLP file that is not strictly correct yet does not necessarily prohibit the system from attempting to launch the application.

  Returns:
    true if the launch should continue, false to abort

### validationError

    public boolean validationError(LaunchException error)

  Description copied from interface: `LaunchHandler`
  Called when a security validation error occurs while launching the application.

  Returns:
    true to allow the application to continue, false to stop it.

IcedTea-Web NetX

Submit a bug or feature